curl -u [YOUR_KEY_ID]:[YOUR_KEY_SECRET]
-X GET https://api.razorpay.com/v1/orders?expand[]=payments
razorpay orders list --expand payments
{
"entity": "collection",
"count": 2,
"items": [
{
"id": "order_EpMTIJM0rhOj3H",
"entity": "order",
"amount": 10000,
"amount_paid": 0,
"amount_due": 10000,
"currency": "MYR",
"receipt": null,
"payments": {
"entity": "collection",
"count": 1,
"items": [
{
"id": "pay_EpMq4YcK0z5UYk",
"entity": "payment",
"amount": 10000,
"currency": "MYR",
"status": "authorized",
"order_id": "order_EpMTIJM0rhOj3H",
"invoice_id": null,
"international": false,
"method": "card",
"amount_refunded": 0,
"refund_status": null,
"captured": false,
"description": null,
"card_id": "card_EpMq4e7H6fHBQZ",
"bank": null,
"wallet": null,
"vpa": null,
"email": "<email>",
"contact": "<phone>",
"notes": [],
"fee": null,
"tax": null,
"error_code": null,
"error_description": null,
"error_source": null,
"error_step": null,
"error_reason": null,
"created_at": 1589269390
}
]
},
"offer_id": null,
"status": "attempted",
"attempts": 1,
"notes": [],
"created_at": 1589268096
},
{
"id": "order_Eoryq8z9wd0y7i",
"entity": "order",
"amount": 10000,
"amount_paid": 0,
"amount_due": 10000,
"currency": "MYR",
"receipt": null,
"payments": {
"entity": "collection",
"count": 1,
"items": [
{
"id": "pay_EpMr7r6DRIdYPO",
"entity": "payment",
"amount": 10000,
"currency": "MYR",
"status": "authorized",
"order_id": "order_Eoryq8z9wd0y7i",
"invoice_id": null,
"international": false,
"method": "card",
"amount_refunded": 0,
"refund_status": null,
"captured": false,
"description": null,
"card_id": "card_EpMr7y6E5cDXvd",
"bank": null,
"wallet": null,
"vpa": null,
"email": "<email>",
"contact": "<phone>",
"notes": [],
"fee": null,
"tax": null,
"error_code": null,
"error_description": null,
"error_source": null,
"error_step": null,
"error_reason": null,
"created_at": 1589269450
}
]
},
"offer_id": null,
"status": "attempted",
"attempts": 1,
"notes": [],
"created_at": 1589160718
}
]
}
Orders
Fetch All Orders (With Expanded Payments)
Expand payments object when fetching Order details using Razorpay Curlec Orders API.
GET
/
v1
/
orders?expand[]=payments
curl -u [YOUR_KEY_ID]:[YOUR_KEY_SECRET]
-X GET https://api.razorpay.com/v1/orders?expand[]=payments
razorpay orders list --expand payments
{
"entity": "collection",
"count": 2,
"items": [
{
"id": "order_EpMTIJM0rhOj3H",
"entity": "order",
"amount": 10000,
"amount_paid": 0,
"amount_due": 10000,
"currency": "MYR",
"receipt": null,
"payments": {
"entity": "collection",
"count": 1,
"items": [
{
"id": "pay_EpMq4YcK0z5UYk",
"entity": "payment",
"amount": 10000,
"currency": "MYR",
"status": "authorized",
"order_id": "order_EpMTIJM0rhOj3H",
"invoice_id": null,
"international": false,
"method": "card",
"amount_refunded": 0,
"refund_status": null,
"captured": false,
"description": null,
"card_id": "card_EpMq4e7H6fHBQZ",
"bank": null,
"wallet": null,
"vpa": null,
"email": "<email>",
"contact": "<phone>",
"notes": [],
"fee": null,
"tax": null,
"error_code": null,
"error_description": null,
"error_source": null,
"error_step": null,
"error_reason": null,
"created_at": 1589269390
}
]
},
"offer_id": null,
"status": "attempted",
"attempts": 1,
"notes": [],
"created_at": 1589268096
},
{
"id": "order_Eoryq8z9wd0y7i",
"entity": "order",
"amount": 10000,
"amount_paid": 0,
"amount_due": 10000,
"currency": "MYR",
"receipt": null,
"payments": {
"entity": "collection",
"count": 1,
"items": [
{
"id": "pay_EpMr7r6DRIdYPO",
"entity": "payment",
"amount": 10000,
"currency": "MYR",
"status": "authorized",
"order_id": "order_Eoryq8z9wd0y7i",
"invoice_id": null,
"international": false,
"method": "card",
"amount_refunded": 0,
"refund_status": null,
"captured": false,
"description": null,
"card_id": "card_EpMr7y6E5cDXvd",
"bank": null,
"wallet": null,
"vpa": null,
"email": "<email>",
"contact": "<phone>",
"notes": [],
"fee": null,
"tax": null,
"error_code": null,
"error_description": null,
"error_source": null,
"error_step": null,
"error_reason": null,
"created_at": 1589269450
}
]
},
"offer_id": null,
"status": "attempted",
"attempts": 1,
"notes": [],
"created_at": 1589160718
}
]
}
Available in🇮🇳 India🇲🇾 Malaysia🇸🇬 Singapore🇺🇸 United States
Use this endpoint to retrieve the details of all the orders that you created, with the payment parameter expanded.
curl -u [YOUR_KEY_ID]:[YOUR_KEY_SECRET]
-X GET https://api.razorpay.com/v1/orders?expand[]=payments
razorpay orders list --expand payments
{
"entity": "collection",
"count": 2,
"items": [
{
"id": "order_EpMTIJM0rhOj3H",
"entity": "order",
"amount": 10000,
"amount_paid": 0,
"amount_due": 10000,
"currency": "MYR",
"receipt": null,
"payments": {
"entity": "collection",
"count": 1,
"items": [
{
"id": "pay_EpMq4YcK0z5UYk",
"entity": "payment",
"amount": 10000,
"currency": "MYR",
"status": "authorized",
"order_id": "order_EpMTIJM0rhOj3H",
"invoice_id": null,
"international": false,
"method": "card",
"amount_refunded": 0,
"refund_status": null,
"captured": false,
"description": null,
"card_id": "card_EpMq4e7H6fHBQZ",
"bank": null,
"wallet": null,
"vpa": null,
"email": "<email>",
"contact": "<phone>",
"notes": [],
"fee": null,
"tax": null,
"error_code": null,
"error_description": null,
"error_source": null,
"error_step": null,
"error_reason": null,
"created_at": 1589269390
}
]
},
"offer_id": null,
"status": "attempted",
"attempts": 1,
"notes": [],
"created_at": 1589268096
},
{
"id": "order_Eoryq8z9wd0y7i",
"entity": "order",
"amount": 10000,
"amount_paid": 0,
"amount_due": 10000,
"currency": "MYR",
"receipt": null,
"payments": {
"entity": "collection",
"count": 1,
"items": [
{
"id": "pay_EpMr7r6DRIdYPO",
"entity": "payment",
"amount": 10000,
"currency": "MYR",
"status": "authorized",
"order_id": "order_Eoryq8z9wd0y7i",
"invoice_id": null,
"international": false,
"method": "card",
"amount_refunded": 0,
"refund_status": null,
"captured": false,
"description": null,
"card_id": "card_EpMr7y6E5cDXvd",
"bank": null,
"wallet": null,
"vpa": null,
"email": "<email>",
"contact": "<phone>",
"notes": [],
"fee": null,
"tax": null,
"error_code": null,
"error_description": null,
"error_source": null,
"error_step": null,
"error_reason": null,
"created_at": 1589269450
}
]
},
"offer_id": null,
"status": "attempted",
"attempts": 1,
"notes": [],
"created_at": 1589160718
}
]
}
Query Parameters
Response Parameters
The amount for which the order was created, in currency subunits. For example, for an amount of , enter
29500.ISO code for the currency in which you want to accept the payment. The default length is 3 characters. Refer to the list of supported currencies.
Receipt number that corresponds to this order. Can have a maximum length of 40 characters and has to be unique.
The status of the order. Possible values:
created: When you create an order it is in thecreatedstate. It stays in this state till a payment is attempted on it.attempted: An order moves fromcreatedtoattemptedstate when a payment is first attempted on it. It remains in theattemptedstate till one payment associated with that order is captured.paid: After the successful capture of the payment, the order moves to thepaidstate. No further payment requests are permitted once the order moves to thepaidstate. The order stays in thepaidstate even if the payment associated with the order is refunded.
The number of payment attempts, successful and failed, that have been made against this order.
Key-value pair that can be used to store additional information about the entity. Maximum 15 key-value pairs, 256 characters (maximum) each. For example,
"note_key": "Beam me up Scotty”.The payment method used for making the payment. Possible values:
cardnetbankingwalletupiemi
Order id, if provided. Know more about Orders.
Indicates whether the payment is done via an international card or a domestic one. Possible values:
true: Payment made using international card.false: Payment not made using international card.
The amount refunded in currency subunits. For example, if
amount_refunded = 100, it is equal to .Description of the error that occurred during payment. For example,
Payment processing failed because of incorrect OTP.The stage where the transaction failure occurred. The stages can vary depending on the payment method used to complete the transaction. For example,
payment_authentication.A unique bank reference number provided by the banking partner when a refund is processed. This reference number can be used by the customer to track the status of the refund with the bank.
The 4-character bank code which the customer’s account is associated with. For example,
UTIB for Axis Bank.The payment method used for making the payment. Possible values:
bank_accountcredit_cardwallet
The customer’s VPA (Virtual Payment Address) or UPI id used to make the payment. For example,
gauravkumar@exampleupi.The customer’s VPA (Virtual Payment Address) or UPI id used to make the payment. For example,
gauravkumar@exampleupi.The recurring-payment token created when the order was authorised on a subscription / recurring flow. Present on orders that resulted in a token-bearing payment.
The authentication type used to create the token. One of
3ds, otp, aadhaar, or physical for emandate / mandate_otp for UPI.Last modified on October 8, 2026